using System;

public class Pecina
{
    public static void Main()
    {
       int N = int.Parse(Console.ReadLine());
       int L = int.Parse(Console.ReadLine());
       int[] x = new int[N];
       for(int i = 0; i < N; i++)
       {
    x[i] = int.Parse(Console.ReadLine());
       }
       int p=0;
       
while(L<x[p] && p<N-1)
{
  p++;
    }
    if(p==N)
    {
         Console.WriteLine("-1");
    }
    else
    {
         Console.WriteLine(p+1);
    }
}
}